Bug 1956450 - Unable to login to GNOME desktop on RHEL 8.4 RC
Summary: Unable to login to GNOME desktop on RHEL 8.4 RC
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: xorg-x11-server
Version: 8.4
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: beta
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 17:44 UTC by Heesoon.Kim
Modified: 2021-05-15 16:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
journalctl -b output (1.39 MB, text/plain)
2021-05-03 18:37 UTC, Heesoon.Kim
no flags Details
journalctl -b output with a reboot (1.04 MB, text/plain)
2021-05-03 19:08 UTC, Heesoon.Kim
no flags Details
video output -before and after login (364.74 KB, application/zip)
2021-05-03 19:15 UTC, Heesoon.Kim
no flags Details
before login (267.70 KB, image/png)
2021-05-03 20:17 UTC, Ray Strode [halfline]
no flags Details
after login (122.86 KB, image/png)
2021-05-03 20:17 UTC, Ray Strode [halfline]
no flags Details

Description Heesoon.Kim 2021-05-03 17:44:35 UTC
Description of problem:
On 8.4.0-RC-1.0, GUI login succeeds but display/keyboard/mouse gets messed up. 

Version-Release number of selected component (if applicable):
On 8.4.0-Alpha-1.0 with gdm-3.28.3-35 and pulseaudio-13.99.1, we have no issue. 
However, with 8.4.0-NIGHTLY and 8.4.0-RC-1.0, we are seeing display/keyboard/mouse problem after login.

How reproducible:
Always

Steps to Reproduce:
1. Install GUI GNOME desktop
2. login as a root in GNOME standard or classic
3. display gets messed up and keyboard and mouse does not function

Actual results:
   login succeeds but display/keyboard/mouse does not function

Expected results:
   display/keyboard/mouse to function after GUI login

Additional info:
   If run "systemctl restart gdm" KVM functions again but the next login does
   the same thing. If run "systemctl stop gdm" then startx. No problem with display/keyboard/mouse.

Comment 1 Ray Strode [halfline] 2021-05-03 18:02:50 UTC
Thanks for the report.

Do you mind adding

Enable=true

to the [debug] section of /etc/gdm/custom.conf, reboot, reproduce, and then attach the full unfiltered output of

# journactl -b > journal.txt

to this bug?

Can you describe in detail more about how the display gets messed? What sort of graphics hardware do you have installed?

If you set WaylandEnable=false in the [daemon] section of /etc/gdm/custom.conf and reboot, does the problem still reproduce?

Comment 2 Heesoon.Kim 2021-05-03 18:21:56 UTC
We set WaylandEnable to false (uncommenting it) and it made no difference.
We also use our own video card and setup so it might not be possible for you to reproduce.
I currently loaded old gdm/pulseaudio package came with alpha on my system so I will update then attach journal.txt.

Comment 3 Heesoon.Kim 2021-05-03 18:37:08 UTC
Created attachment 1779081 [details]
journalctl -b output

Comment 4 Heesoon.Kim 2021-05-03 19:08:37 UTC
Created attachment 1779086 [details]
journalctl -b output with a reboot

Comment 5 Ray Strode [halfline] 2021-05-03 19:11:18 UTC
Thanks for the log. Can you describe how the display gets messed up? or provide a photo?

On major change between the alpha and RC is a fix for this bug:

* Wed Jan 27 2021 Ray Strode <rstrode@redhat.com> - 3.28.3-39•
- Ensure login screen display server is is killed at log in•
- Pull in fixes for two security issues•
  Resolves: #1918391•

This makes sure that 10 seconds after login is started, the login screen X server is killed. Does the display start out okay, but then get messed up around 10 seconds later?

It could be the driver used by the X server isn't handling getting killed in the background that well.

Comment 6 Heesoon.Kim 2021-05-03 19:15:00 UTC
Created attachment 1779090 [details]
video output -before and after login

Comment 7 Heesoon.Kim 2021-05-03 19:41:38 UTC
After the reboot, everything functions. 
After the login (maybe 10 sec afterwards), display gets messed up (see attached word document) and not sure keyboard/mouse is working since display is messed up...

Comment 8 Ray Strode [halfline] 2021-05-03 19:43:40 UTC
Thanks.

when this happens, if you send a ctrl-alt-f10 then ctrl-alt-f2 to the machine does that "repair" the corruption?

Comment 9 Ray Strode [halfline] 2021-05-03 20:17:20 UTC
Created attachment 1779100 [details]
before login

Comment 10 Ray Strode [halfline] 2021-05-03 20:17:58 UTC
Created attachment 1779101 [details]
after login

Comment 11 Ray Strode [halfline] 2021-05-03 20:25:49 UTC
One more thing that would be useful to know...

If you go back to the GDM from the alpha, and after you log in, run:

$ ps -ef |grep Xorg

and get eg,

gdm 778 772 0 15:09 tty1 00:00:05 /usr/libexec/Xorg vt1 -displayfd 3 -auth /run/user/42/gdm/Xauthority -background none -noreset -keeptty -novtswitch -verbose 7 -core

and find the Xorg background process associated with the login screen (the one running on tty1), then kill it from within the user session, e.g.,

# kill 778

does that also make the screen go garbled ?

Comment 12 Heesoon.Kim 2021-05-04 10:49:06 UTC
The key sequence ctrl/alt/f10 then ctrl/alt/f2 repairs the corruption. I can login as a root 2 times but the display gets messed up again on 3rd try. Also, repeated key sequences causes text mode prompt...
Here is ps output from Alpha:

[root@lin403 ~]# ps -ef |grep Xorg
root       25429   25424  2 06:41 tty1     00:00:03 /usr/libexec/Xorg vt1 -displayfd 3 -auth /run/user/42/gdm/Xauthority -background none -noreset -keeptty -novtswitch -verbose 3
root       26003   25999 10 06:42 tty3     00:00:05 /usr/libexec/Xorg vt3 -displayfd 3 -auth /run/user/0/gdm/Xauthority -background none -noreset -keeptty -novtswitch -verbose 3
root       26606   23915  0 06:43 pts/0    00:00:00 grep --color=auto Xorg
If I kill 25429, the display gets messed up displaying black screen with blinking cursor.

Comment 13 Ray Strode [halfline] 2021-05-05 20:35:22 UTC
What version of the package xorg-x11-server-Xorg do you have? It seems like this fix:

* Fri Jul 10 2020 Ray Strode <rstrode@redhat.com> - 1.20.8-4•
- Don't switch VTs in the exit path, if killed on inactive VT•
  Related: #1618481•

may not be working

Comment 14 Heesoon.Kim 2021-05-06 10:23:48 UTC
The package comes with 8.4.0-RC-1.0:

[root@lin403 ~]# rpm -qa |grep xorg-x11-server-Xorg
xorg-x11-server-Xorg-1.20.10-1.el8.x86_64

Comment 15 Heesoon.Kim 2021-05-10 14:42:05 UTC
Any update? 
Looks like 8.4.0-GA version will be available tomorrow (is this still true?).
Will this problem be fixed in GA?


Note You need to log in before you can comment on or make changes to this bug.